umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Typedefs
umlforeignkeyconstraintdialog.h File Reference
`#include "multipagedialogbase.h"`
`#include "umlentityattributelist.h"`
`#include <QList>`

Go to the source code of this file.

## Classes
class | UMLForeignKeyConstraintDialog
| A dialog page to display foreignkey constraint properties. More...
struct | UMLForeignKeyConstraintDialog::GeneralWidgets
struct | UMLForeignKeyConstraintDialog::ColumnWidgets

## Typedefs
typedef QPair< UMLEntityAttribute *, UMLEntityAttribute * > | EntityAttributePair
typedef QList< EntityAttributePair > | EntityAttributePairList

## Typedef Documentation

## ◆ EntityAttributePair

typedef QPair<UMLEntityAttribute*, UMLEntityAttribute*> EntityAttributePair

## ◆ EntityAttributePairList

typedef QList<EntityAttributePair> EntityAttributePairList